function THIS = autodata(THIS)
% AUTODATA  [Not a public function] Create additional rows of autodata in a table series.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

nauto = numel(THIS.options.autodata);
for j = 1 : length(THIS.data)
    newdata = cell(1,nauto);
    for i = 1 : nauto
        newdata{i} = THIS.options.autodata{i}(THIS.data{j});
    end
    THIS.data{j} = [THIS.data{j},newdata{:}];
end

end

